Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NetworkStatisticsEntryCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NetworkStatisticsEntry
it.tdlight.jni.TdApi.NetworkStatisticsEntryCall

Enclosing class:
  TdApi

public static final class TdApi.NetworkStatisticsEntryCall extends TdApi.NetworkStatisticsEntry
Contains information about the total amount of data that was used for calls.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`double`
`duration`
Total call duration, in seconds.
`TdApi.NetworkType`
`networkType`
Type of the network the data was sent through.
`long`
`receivedBytes`
Total number of bytes received.
`long`
`sentBytes`
Total number of bytes sent.

## Constructor Summary

Constructors
Constructor
Description
`NetworkStatisticsEntryCall()`
Contains information about the total amount of data that was used for calls.
`NetworkStatisticsEntryCall(TdApi.NetworkType networkType, long sentBytes, long receivedBytes, double duration)`
Contains information about the total amount of data that was used for calls.
`NetworkStatisticsEntryCall(DataInput input)`
Contains information about the total amount of data that was used for calls.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### networkType

public TdApi.NetworkType networkType
Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.

### sentBytes

public long sentBytes
Total number of bytes sent.

### receivedBytes

public long receivedBytes
Total number of bytes received.

### duration

public double duration
Total call duration, in seconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### NetworkStatisticsEntryCall

public NetworkStatisticsEntryCall()
Contains information about the total amount of data that was used for calls.

### NetworkStatisticsEntryCall

public NetworkStatisticsEntryCall(TdApi.NetworkType networkType, long sentBytes, long receivedBytes, double duration)
Contains information about the total amount of data that was used for calls.

Parameters:
  `networkType` - NetworkType Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.
  `sentBytes` - long Total number of bytes sent.
  `receivedBytes` - long Total number of bytes received.
  `duration` - double Total call duration, in seconds.

### NetworkStatisticsEntryCall

public NetworkStatisticsEntryCall(DataInput input) throws IOException
Contains information about the total amount of data that was used for calls.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`